i have the itouch ipod, but on my mac i have jaguar and itunes 6.05 it has an ipod feature but is it true that only 7.6 itunes will work with itouch?


im afraid to plug it in the 6.05 thinking it will wipe my existing library.. thanks